# Fund your financial account Learn how to transfer or add funds to your financial account. Before sending money, you need to fund your financial account with external funds or from your Stripe payments balance. To add funds, you must have [administrator access](https://docs.stripe.com/get-started/account/teams/roles.md). Stripe requires two-factor authentication to add money for payouts. In the US, funds in your USD financial account balances are eligible for FDIC insurance up to 250,000 USD. (See full diagram at https://docs.stripe.com/global-payouts/fund-financial-account) ## Funding methods You can store funds in a financial account in the Dashboard. You can fund your financial account balance with external funds or from your Stripe payments balance. In the US, funds in your financial account balance are eligible for FDIC insurance. Stripe doesn’t support SWIFT funding. #### Business location - US | Funding method | Funds available | Fee | Where to initiate | | ------------------------------------------------------ | ----------------- | ----- | ----------------- | | Add money from your external bank account using ACH | 1 business day | Free | From your bank | | Add money from your external bank account using a wire | Same day | 2 USD | From your bank | | Pull funds from your external bank account | 2–6 business days | Free | Stripe Dashboard | | Add money from your available Stripe payments balance | Immediately | Free | Stripe Dashboard | #### Business location - UK | Funding method | Funds available | Fee | Where to initiate | | ---------------------------------------------------------------------------------------------- | ------------------------ | ---- | ----------------- | | Add money from your external bank account using FPS | Typically within minutes | Free | From your bank | | Add large-value funds (greater than 1,000,000 GBP) from your external bank account using CHAPS | Same day | Free | From your bank | | Add money from your available Stripe payments balance | Immediately | Free | Stripe Dashboard | ## Add money from external bank account You can send funds from an external bank account to fund your financial account. In the US, you can send funds with an ACH transfer or wire. With ACH, funds are available in about 3 days after you initiate the transfer from your bank. With wire transfers, funds are available within the day. Additional charges apply if funding with a wire. > Funds used for Global Payouts must belong to you or your business. Adding funds from sources that don’t match the registered details on your account might lead to delays or funds being returned. To send money into your financial account, you need to share details of your financial account with your financial institution. You can find these details in the Dashboard or by using the API. #### Dashboard 1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Top up**. 1. Select the financial account to add money to. 1. Select **Manually transfer** from your bank and click Next. 1. Use the account details to send money through ACH, RTP, a wire, or other local payment from your bank. #### API Retrieve your FinancialAccount ID using the [Financial Account API v2](https://docs.stripe.com/api/v2/money-management/financial-accounts.md?api-version=preview). ```curl curl https://api.stripe.com/v2/money_management/financial_accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" ``` Create a financial account by calling the [Financial Address API v2](https://docs.stripe.com/api/v2/money-management/financial-addresses.md?api-version=preview) and include your financial account ID. ```curl curl -X POST https://api.stripe.com/v2/money_management/financial_addresses \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "financial_account": "{{FINANCIALACCOUNTID_ID}}", "currency": "usd" }' ``` Retrieve the financial address credentials by calling the [Financial Address API v2](https://docs.stripe.com/api/v2/money-management/financial-addresses.md?api-version=preview) again, including the `credentials` field using the `include` parameter. ```curl curl -G https://api.stripe.com/v2/money_management/financial_addresses \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ -d "include[0]=credentials.us_bank_account.account_number" ``` Submit a request to your bank to send money using the account credentials provided. You can create up to five FinancialAddresses for your financial account. Funds that you send to these financial accounts are represented as a unified balance in the [FinancialAccount](https://docs.stripe.com/api/v2/financial-accounts.md). ## Pull funds from your external bank account (US only) You can pull funds from an external bank account to fund your payouts. You initiate this transfer each time you want to add funds. We refer to funds pulled into Stripe from your external bank account as [InboundTransfers](https://docs.stripe.com/api/v2/money-management/inbound-transfers/object.md?api-version=preview). Funds typically arrive within 2–6 business days, and funding is subject to the following limits: - 50,000 USD per transaction - 50,000 USD per day - 100,000 USD per week ### Add or verify a bank account You must use a verified bank account to add funds. Verified bank accounts appear with a badge. If you don’t have a verified bank account on file, you need to add another bank account and verify it. To add a verified bank account: 1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Top up**. 1. Select the financial account to add money to. 1. Select **Linked bank account** from payment method and click **Add new bank account**. You have two options to add and verify your bank account: - Instant with [Financial Connections](https://docs.stripe.com/financial-connections.md): Use your bank credentials with Financial Connections to verify and connect your bank account. - Manually with micro-deposits: Manually enter your bank account and routing numbers. Stripe sends microdeposit amounts that appear on your online banking statement within 1-2 business days, with the `ACCTVERIFY` statement description. Use these amounts to verify your account in the Dashboard. This manual verification timing is separate to any settlement timing for your funding transaction. ### Pull funds into your account After your bank account is verified, you can pull funds into your financial account directly from the Dashboard or with the Stripe API. #### Dashboard You can pull funds into your financial account directly from the Dashboard. 1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Top up**. 1. Select the financial account to add money to. 1. Enter the amount to add. 1. Select **Linked bank account**. 1. Choose the bank account you want to send money from. 1. Click **Next** to review your selections, then click **Top up**. #### API To make an [InboundTransfer](https://docs.stripe.com/api/v2/inbound-transfers.md?api-version=preview), you need your verified bank account ID and `FinancialAccount` ID. ### Retrieve your verified bank account ID To retrieve your verified bank account ID: 1. In the Dashboard, go to your bank accounts in [Settings](https://dashboard.stripe.com/settings/global-payouts). 1. Copy the bank account ID from a verified bank account. #### Retrieve your FinancialAccount ID Use the FinancialAccounts API to retrieve your FinancialAccount ID. ```curl curl https://api.stripe.com/v2/money_management/financial_accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" ``` #### Make an InboundTransfer After you have the verified bank account ID and the FinancialAccount ID, you can initiate an InboundTransfer. You use the verified bank account ID in the `payment_method` field. ```curl curl -X POST https://api.stripe.com/v2/money_management/inbound_transfers \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "from": { "payment_method": "{{VERIFIED_BANK_ACCOUNT_ID}}" }, "to": { "financial_account": "{{FINANCIALACCOUNTID_ID}}", "currency": "usd" }, "amount": { "value": 300, "currency": "usd" } }' ``` You can also use the Inbound Transfers API v2 to retrieve your current and pending InboundTransfers. ```curl curl https://api.stripe.com/v2/money_management/inbound_transfers \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" ``` ## Transfer funds from your Stripe balance (one time) You can transfer funds in your [Stripe payments balance](https://docs.stripe.com/payments/balances.md) to fund Global Payouts. You can only transfer available funds from your payments balance, so you can’t transfer unsettled funds. Use the Stripe Dashboard or API to transfer money from your payments balance into your financial account. #### Dashboard Use the Stripe Dashboard to transfer money from your payments balance into your financial account. 1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Transfer**. 1. Select the payments balance to transfer from. 1. Select the financial account to transfer to. 1. Enter the amount to move. 1. Click **Review** to review your selections, then click **Transfer**. #### API Call the [Balance API v1](https://docs.stripe.com/api/balance/balance_retrieve.md?api-version=preview) to determine your available funds. ```curl curl https://api.stripe.com/v1/balance \ -u "<>:" ``` Call the [Financial Account API v2](https://docs.stripe.com/api/v2/money-management/financial-accounts/list.md?api-version=preview) to get your Financial Account ID or find it in your [Dashboard Payout settings](https://dashboard.stripe.com/settings/payouts). ```curl curl https://api.stripe.com/v2/money_management/financial_accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" ``` Call [Payouts API v1](https://docs.stripe.com/api/payouts/create.md?api-version=preview) to create a payout from your payments revenue. Pass your Financial Account ID in the `payout_method` parameter and the amount to transfer from your [Balance v1](https://docs.stripe.com/api/balance/balance_object.md). ```curl curl https://api.stripe.com/v1/payouts \ -u "<>:" \ -d "payout_method={{FINANCIALACCOUNTID_ID}}" \ -d amount=250 \ -d currency=usd ``` Call the [Received Credit API v2](https://docs.stripe.com/api/v2/money-management/received-credits/retrieve.md?api-version=preview) to retrieve your current and pending ReceivedCredits for funds into your Financial Account. ```curl curl https://api.stripe.com/v2/money_management/received_credits \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" ``` To review the outgoing transfer from your balance, call the [Payouts API v1](https://docs.stripe.com/api/payouts/retrieve.md?api-version=preview) to inspect the outgoing transfer from your `/v1/balance`. ## Transfer funds from your Stripe balance (recurring) You can set up a recurring transfer from your Stripe payments balance to your financial account. You can set a target amount to be transferred or you can transfer all of your earnings when they settle into your payments balance. To configure a recurring transfer from your payments balance, you must be on an automatic payout schedule. 1. On the [Balances](https://dashboard.stripe.com/balances) page, click the Payments balance tile. 1. Click **Recurring transfers**. 1. Choose the currency that you want to set up. 1. Select whether you want to transfer a target amount or all of your payments balance. 1. Click **Save**. ## View funding status and manage balances You can view the status of your funding attempts both in the Dashboard or with the API. #### Dashboard 1. Navigate to **Balances** > **Financial account**. 1. View the list of transactions into and out of your financial account. 1. Click a specific funding transaction. This opens a drawer that provides a timeline view, and the ID and optional note you provided for the funding attempt. You can also find an itemized receipt that includes details of the transaction. #### API To retrieve the status of a funding attempt, call the Transactions API, and pass the funding attempt ID (either InboundTransfer or ReceivedCredit ID) in the `flow` parameter. ```curl curl -G https://api.stripe.com/v2/money_management/transactions \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ -d "flow={{FLOWID_ID}}" ``` Use the `status` parameter in the response to read the status of the funding attempt. Funding attempts can either be `pending`, `posted` (and available for use), or `void`. To retrieve an itemized receipt for the details of the transaction, use either the InboundTransfers or ReceivedCredit API to retrieve details of the funding attempt. The response includes a URL to an itemized receipt. ## Withdraw funds to your external bank account If you have funds in your financial account that you don’t want to send as payouts, you can send those funds to your bank account. You can transfer money to yourself using the Dashboard or the API. Typically, the transfer takes 1-2 business days to complete. #### Dashboard You can transfer money to your external bank account. Transfers to your own linked bank account in the same currency are free. 1. On the [Balances](https://dashboard.stripe.com/balances) page, click **Transfer**. 1. Click **Pay out to external bank account**. 1. Choose the financial account to transfer from, and the bank account to transfer to. 1. Enter the amount to transfer. 1. Click **Review** to view the transfer details and cost breakdown, then click **Transfer**. #### API You can transfer money to an external account that you own using the [Outbound Transfers API v2](https://docs.stripe.com/api/v2/money-management/outbound-transfers.md?api-version=preview). ```curl curl -X POST https://api.stripe.com/v2/money_management/outbound_transfers \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-04-22.preview" \ --json '{ "from": { "financial_account": "{{FINANCIALACCOUNTID_ID}}", "currency": "usd" }, "to": { "payout_method": "{{PAYOUTMETHODID_ID}}", "currency": "usd" }, "amount": { "value": 50, "currency": "usd" }, "description": "Paying out Stripe earnings" }' ```